Subject: bug#56263: set-paths phase throws match-error "match" "no matching pattern" while cross-compiling a kernel module

From: Pavel Shlyak <[email-masked]>
Date: Mon, 27 Jun 2022 21:05:29 +0300

I don’t know the reason it happens. Maybe it’s somehow related to file-append hack that is used to set driver location in the repo. The other problem can be about 
inputs or native-inputs being empty. Anyway, package definition looks fine to me and I suppose there’s a problem with set-paths phase.
Package definition:
https://git.pantherx.org/development/hardware/raspberry/-/blob/c9260f1720f63c409ef3ce88cefa677a21eb9e0b/reterminal.scm
Package ltr30x-linux-module builds successfully here with aarch64 host and it fails if I cross-compile it with x86_64 host
Error log here:
https://gist.github.com/shlyakpavel/b8b53e9bb4392cce1bba3c77c6d35d58